import QtQuick 2.0
import QtQuick.Controls 1.0
import MuseScore 1.0

MuseScore {
  id: testGUI
  pluginType: "dialog"
  menuPath: "Plugins.Test Add Element"
  height: 100
  width: 100
  onRun: {
      console.log("start test add element");

      // the requiresScore boolean doesn't appear to work
      if (typeof curScore === 'undefined') {
        console.log("Quitting: no score");
        Qt.quit();
      }

      var cursor = curScore.newCursor();
      cursor.rewind(1); // start of selection
      if (!cursor.segment) {
        console.log("Quitting: no selection");
        Qt.quit();
      }

      makeLabel("one",0); // this displays immediately
  }

  Button {
    id: buttonOK
    text: qsTr("OK")
    width: 60
    height: 40
    anchors.top: testGUI.top
    onClicked: {
      // This label does not display till significant
      // change to score, like Save or Add Instrument.
      //
      // Worse, it displays if you type Undo (ctrl-Z)
      // and STAYS
      makeLabel("onemore",2); 
      Qt.quit();
    }
  }
   

  function makeLabel(string,yPos) {
      var cursor = curScore.newCursor();
      cursor.rewind(1);
      var myDiag = newElement( Element.STAFF_TEXT );
      myDiag.text = string;
      myDiag.pos.y = yPos;
      cursor.add(myDiag);
  }
}
